Subject: RE: b19 configure problems AND mkid/lid problem
From: [email-masked] (Ron Aaron)

28 Feb 1998 13:45:36 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Geoffrey Noer" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>

I copied b19...sh.exe into my C:\BIN, and now everything works... as far as
compile, etc, Thanks!

I got mkid and lid to compile just fine now; (gnu id-utils3.2).  However,
when I try (from my bash shell)
	./mkid *.c

in the directory where the id-utils src files are, I get:
	./mkid: can't lstat `d' from `/'
	./mkid: can't chdir to `d' from `/': No such file or directory
	./mkid: can't chdir to `d/id-utils-3.2' from `/': No such file or directory
	./mkid: can't chdir to `d/id-utils-3.2/src' from `/': No such file or
directory
	./mkid: can't lstat `fid.c' from `/'
	./mkid: can't lstat `fnid.c' from `/'
	./mkid: can't lstat `lid.c' from `/'
	./mkid: can't lstat `mkid.c' from `/'
	./mkid: can't lstat `xtokid.c' from `/'
	./mkid: can't lstat `2' from `/'
	./mkid: nothing to do

Tracing through the mkid code, they get the current-dir from getcwd() which
returns "/d/id-utils/3.2/src/", then they try to chdir() in pieces there.
This doesn't appear to work at all.

Any clues!! Please!  I would *like* to be able to use these tools outside of
a bash environment, too (on NT).

Thanks,
Ron

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".